(function () {
  var router = require('router');

  var appData = require('appData');

  var i18n = require('i18n');

  router.get('/', function (req, res) {
    var text = appData.get('text') || i18n.get('text');
    var position = appData.get('position');
    var style = appData.get('style');
    var rotationType = appData.get('rotationType');
    var showText = !!appData.get('showText');
    res.render('/', {
      text: text,
      position: position,
      style: style,
      rotationType: rotationType,
      showText: showText
    });
  });
})();